%define aurox_ver 9.3
%define rel 1

%define firebird_version 0.7.1

Summary: Support for Czech interface in Mozilla Firebird
Name: mozilla-firebird-i18n-Czech
Version: 0.7
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://www.mozilla.org/
#Source: http://ftp.mozilla.org/pub/mozilla.org/firebird/releases/%{version}/contrib-localized/
Source: mozilla-firebird-lang-csCZ.tar.gz
Source1: mozilla-firebird-lang-csCZ.txt
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: mozilla-firebird = %{firebird_version}
PreReq: mozilla-firebird-tools = %{firebird_version}
BuildPreReq: unzip, dos2unix

%description
Czech translation of the Mozilla Firebird interface.

%prep
%setup -q -T -c -n %{name}-%{version}
tar zxvf %{SOURCE0}

%build
grep 'cs-CZ.jar' %{SOURCE1} > lang-cs-CZ.jar.txt
grep 'cs-unix.jar' %{SOURCE1} > lang-cs-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/lang
cp -f bin/chrome/cs-CZ.jar $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/cs-CZ.jar
cp -f bin/chrome/cs-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/cs-unix.jar
cp -f lang-cs-CZ.jar.txt lang-cs-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl ]; then
    /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl ]; then
    /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-firebird/chrome/*.jar
/usr/lib/mozilla-firebird/chrome/lang/*.txt

%changelog
* Wed Feb 04 2004 Aurox Team <aurox@aurox.org> 0:0.7-9.3.aur.1
- initial package with Czech tranlsation of the interface


